# Generated by Django 4.2.11 on 2024-04-08 20:43

import django.core.validators
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("sinp_nomenclatures", "0008_alter_nomenclature_active_and_more"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("sinp_organisms", "0005_remove_organism_geographic_area_and_more"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="organism",
            name="created_by",
        ),
        migrations.RemoveField(
            model_name="organism",
            name="updated_by",
        ),
        migrations.RemoveField(
            model_name="organismmember",
            name="created_by",
        ),
        migrations.RemoveField(
            model_name="organismmember",
            name="updated_by",
        ),
        migrations.AlterField(
            model_name="organism",
            name="address",
            field=models.CharField(
                blank=True, default="", max_length=500, verbose_name="Adresse"
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="organism",
            name="administrative_reference",
            field=models.CharField(
                blank=True, default="", max_length=100, verbose_name="SIRET"
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="organism",
            name="email",
            field=models.EmailField(
                blank=True,
                default="",
                max_length=254,
                verbose_name="Adresse mail",
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="organism",
            name="geographic_area",
            field=models.ManyToManyField(
                blank=True,
                help_text="Zone d'action géographique de l'organisme",
                limit_choices_to={"type__mnemonic": "geographic_area"},
                related_name="organism_geographic_area",
                to="sinp_nomenclatures.nomenclature",
                verbose_name="Zone géographique",
            ),
        ),
        migrations.AlterField(
            model_name="organism",
            name="geographic_area_details",
            field=models.CharField(
                blank=True,
                default="",
                help_text=(
                    "Information précisant la zone géographique d'action."
                ),
                max_length=500,
                verbose_name="Détails sur la zone géographique",
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="organism",
            name="municipality",
            field=models.CharField(
                blank=True, default="", max_length=250, verbose_name="Commune"
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="organism",
            name="phone_number",
            field=models.CharField(
                blank=True,
                default="",
                max_length=17,
                validators=[
                    django.core.validators.RegexValidator(
                        message=(
                            "Les numéros de téléphones doivent être "
                            "renseignés avec le format :'+999999999'. "
                            "jusqu'à 15 chiffres sont autorisés"
                        ),
                        regex="^\\+?1?\\d{9,15}$",
                    )
                ],
                verbose_name="Numéro de téléphone",
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="organism",
            name="postal_code",
            field=models.CharField(
                blank=True,
                default="",
                max_length=20,
                verbose_name="Code postal",
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="organism",
            name="url",
            field=models.URLField(blank=True, default="", verbose_name="URL"),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="organismmember",
            name="member",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="members",
                to=settings.AUTH_USER_MODEL,
                verbose_name="Utilisateur",
            ),
        ),
        migrations.AddConstraint(
            model_name="organism",
            constraint=models.UniqueConstraint(
                fields=("uuid",), name="unique_uuid"
            ),
        ),
    ]
